<ng-container *transloco="let t">
  <mat-expansion-panel expanded class="volume-group">
    <mat-expansion-panel-header>
      <mat-panel-title>
        @if (volumeNumber(); as volume) {
          {{ t('PAGES.MANGA.VOLUME_GROUP.VOLUME_NUM', { num: volume }) }}
        } @else {
          {{ t('PAGES.MANGA.VOLUME_GROUP.NO_VOLUME') }}
        }
      </mat-panel-title>

      <mat-panel-description>
        @if (chapterRange().last) {
          {{
            t('PAGES.MANGA.VOLUME_GROUP.CHAPTER_X_TO_Y', {
              x: chapterRange().last,
              y: chapterRange().first
            })
          }}
        } @else {
          {{ t('PAGES.MANGA.VOLUME_GROUP.CHAPTER_X', { x: chapterRange().first, }) }}
        }
      </mat-panel-description>
    </mat-expansion-panel-header>

    <moe-chapter-list [chapters]="chapters()"/>

  </mat-expansion-panel>
</ng-container>
